### Method

# Vte Terminal feed_child

#### Declaration [src]

    void
    vte_terminal_feed_child (
      VteTerminal* terminal,
      const char* text,
      gssize length
    )

#### Description [src]

Sends a block of UTF-8 text to the child as if it were entered by the user at the keyboard.

#### Parameters

`text`

  Type: An array of `guint8`

  Data to send to the child.

  The argument can be `NULL`.
  The length of the array is specified in the `length` argument.
  The data is owned by the caller of the method.

`length`

  Type: `gssize`

  Length of `text` in bytes, or -1 if `text` is NUL-terminated.